<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    </head>
    <body>

        <style type="text/css">
            .tr_impar{
                background-color: #b0b966 ; 
            }

            .tr_par{
                background-color: antiquewhite;
            }
            .negrito_branco{
                color: white;
                font-weight: bolder;
            }
            .esconder{
                display: none ; 
            }

            .not_found{
                text-align: center ; 
                color: red; 
                font-weight: bolder; 
                background-color: #ffffff;
                font-size: 20pt;
            }




        </style>


        <script type="text/javascript">
            $('document').ready(function () {
                $('tbody tr:even').addClass('tr_par');
                $('tbody tr:odd').addClass('tr_impar');
            });



            function imprimir() {


                var linhas = $('tbody tr');

                for (var i = 0; i < linhas.length; i++) {
                    $(linhas[i]).css('display', 'none');
                }


            }


            function pesquisar() {

                $('#msg').text('');
                $('.not_found').css('display', 'none');
                
                var txtPesquisa = $('#txtPesquisa').val().trim().toUpperCase();


                if (txtPesquisa !== '') {

                    var linhas = $('tbody tr');
                    linhas.removeClass('esconder');

                    for (var i = 0; i < linhas.length - 1; i++) {
                        if (txtPesquisa !== linhas[i].cells[1].innerText.toUpperCase()) {
                            $(linhas[i]).addClass('esconder');
                        }
                    }

                    if (linhas.length - 1 === $('.esconder').length) {
                        $('.not_found').css('display', '');
                    }


                } else {
                    $('#msg').text('Favor Informar parametro para pesquisa!');
                    $('tbody tr').removeClass('esconder');
                }















            }




        </script>





        <h1>Bootstrap</h1>
        <hr />
        <br /> 

        Classe: <input id="txtPesquisa" type="text" name="" value="" /> 
        <input type="button" onclick="pesquisar();" value="Pesquisar" />  <span id="msg" style="margin-left: 20px ;  color: red; font-weight: bolder"></span>
        <br />

        <br /> 

        <table border="1" width="100%">

            <thead>
                <tr >
                    <th>Codigo</th>
                    <th>Classe</th>
                    <th>Descricao</th>
                    <th>Link</th>
                </tr>
            </thead>
            <tbody>
                <tr >
                    <td>001</td>
                    <td>.bg-danger 1 </td>
                    <td>Adiciona uma cor de fundo vermelha a um elemento. Representa perigo ou uma ação negativa</td>
                    <td><a href="https://getbootstrap.com/docs/4.0/utilities/colors#background-color" target="_blank" >Link</a></td>
                </tr>
                <tr >
                    <td>002</td>
                    <td>.bg-danger 2 </td>
                    <td>Adiciona uma cor de fundo vermelha a um elemento. Representa perigo ou uma ação negativa</td>
                    <td><a href="https://getbootstrap.com/docs/4.0/utilities/colors#background-color" target="_blank" >Link</a></td>
                </tr>
                <tr >
                    <td>003</td>
                    <td>.bg-danger 3 </td>
                    <td>Adiciona uma cor de fundo vermelha a um elemento. Representa perigo ou uma ação negativa</td>
                    <td><a href="https://getbootstrap.com/docs/4.0/utilities/colors#background-color" target="_blank" >Link</a></td>
                </tr>
                <tr >
                    <td>004</td>
                    <td>.bg-danger4 </td>
                    <td>Adiciona uma cor de fundo vermelha a um elemento. Representa perigo ou uma ação negativa</td>
                    <td><a href="https://getbootstrap.com/docs/4.0/utilities/colors#background-color" target="_blank" >Link</a></td>
                </tr>
                <tr >
                    <td>005</td>
                    <td>.bg-danger 6</td>
                    <td>Adiciona uma cor de fundo vermelha a um elemento. Representa perigo ou uma ação negativa</td>
                    <td><a href="https://getbootstrap.com/docs/4.0/utilities/colors#background-color" target="_blank" >Link</a></td>
                </tr>
                <tr >
                    <td>006</td>
                    <td>.bg-danger5 </td>
                    <td>Adiciona uma cor de fundo vermelha a um elemento. Representa perigo ou uma ação negativa</td>
                    <td><a href="https://getbootstrap.com/docs/4.0/utilities/colors#background-color" target="_blank" >Link</a></td>
                </tr>
                <tr >
                    <td>007</td>
                    <td>.bg-danger8 </td>
                    <td>Adiciona uma cor de fundo vermelha a um elemento. Representa perigo ou uma ação negativa</td>
                    <td><a href="https://getbootstrap.com/docs/4.0/utilities/colors#background-color" target="_blank" >Link</a></td>
                </tr>
                <tr >
                    <td>008</td>
                    <td>.bg-danger 9</td>
                    <td>Adiciona uma cor de fundo vermelha a um elemento. Representa perigo ou uma ação negativa</td>
                    <td><a href="https://getbootstrap.com/docs/4.0/utilities/colors#background-color" target="_blank" >Link</a></td>
                </tr>
                <tr >
                    <td>009</td>
                    <td>.bg-danger 00</td>
                    <td>Adiciona uma cor de fundo vermelha a um elemento. Representa perigo ou uma ação negativa</td>
                    <td><a href="https://getbootstrap.com/docs/4.0/utilities/colors#background-color" target="_blank" >Link</a></td>
                </tr>
                <tr >
                    <td>010</td>
                    <td>.bg-danger </td>
                    <td>Adiciona uma cor de fundo vermelha a um elemento. Representa perigo ou uma ação negativa</td>
                    <td><a href="https://getbootstrap.com/docs/4.0/utilities/colors#background-color" target="_blank" >Link</a></td>
                </tr>
                <tr >
                    <td 
                        colspan="4" 
                        class="not_found"
                        style="display: none;"
                        >
                        Não foram encontados resultados !!!
                    </td>
                </tr>
            </tbody>
        </table>





    </body>

</html>
